cURL
curl --request GET \ --url https://api.suby.fi/api/payment/{paymentId} \ --header 'X-Suby-Api-Key: <api-key>'
{ "success": true, "data": { "id": "pay_abc123", "txHash": "<string>", "customerEmail": "jsmith@example.com", "method": "CRYPTO", "tokenAmount": "<string>", "valueUsd": "<string>", "priceCents": "999", "currency": "USD", "status": "INITIATED", "subscriptionId": "<string>", "asset": { "symbol": "USDC", "address": "<string>", "decimals": 6, "chainId": 8453 }, "productId": "<string>", "isSandbox": true, "metadata": {}, "externalRef": "<string>", "successUrl": "<string>", "cancelUrl": "<string>", "grossAmountCents": 123, "merchantNetCents": 123, "vatAmountCents": 123, "createdAt": "2023-11-07T05:31:56Z" } }
Documentation IndexFetch the complete documentation index at: https://documentation.suby.fi/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://documentation.suby.fi/llms.txt
Use this file to discover all available pages before exploring further.
API key authentication
Payment details
true
Show child attributes
Was this page helpful?